detail::LoadFields< 1 > Struct Reference

`#include <FieldGroup.h>`

## Public Member Functions

| LoadFields (LoadFieldsParams &params)
template<typename T>
void | operator() (T)

## Public Attributes

LoadFieldsParams & | m_p

## Detailed Description

Definition at line 133 of file FieldGroup.h.

## Constructor & Destructor Documentation

## LoadFields()

detail::LoadFields< 1 >::LoadFields | ( | LoadFieldsParams & | params | ) |

inline

Definition at line 136 of file FieldGroup.h.

: m_p(params)
{ }
detail::LoadFields< 1 >::m_p
LoadFieldsParams & m_p
Definition FieldGroup.h:166
detail::LoadFields
Definition FieldGroup.h:107

References m_p.

## Member Function Documentation

## operator()()

template<typename T>

void detail::LoadFields< 1 >::operator() | ( | T |  | ) |

inline

Definition at line 141 of file FieldGroup.h.

{
// Load all fields of type T
typename Field3D::Field<T>::Vec fields =
m_p.in.readScalarLayers<T>(m_p.name, m_p.attribute);
// Add the fields to the result
BOOST_FOREACH (const typename Field3D::Field<T>::Ptr &ptr, fields) {
m_p.results.push_back(ptr);
}
// Load 'min' fields
typename Field3D::Field<T>::Vec minFields =
m_p.in.readScalarLayers<T>(m_p.name, m_p.attribute + k_minSuffix);
// Add the fields to the result
BOOST_FOREACH (const typename Field3D::Field<T>::Ptr &ptr, minFields) {
m_p.minResults.push_back(ptr);
}
// Load 'max' fields
typename Field3D::Field<T>::Vec maxFields =
m_p.in.readScalarLayers<T>(m_p.name, m_p.attribute + k_maxSuffix);
// Add the fields to the result
BOOST_FOREACH (const typename Field3D::Field<T>::Ptr &ptr, maxFields) {
m_p.maxResults.push_back(ptr);
}
}

References detail::k_maxSuffix, detail::k_minSuffix, and m_p.

## Member Data Documentation

## m_p

LoadFieldsParams& detail::LoadFields< 1 >::m_p

Definition at line 166 of file FieldGroup.h.

Referenced by LoadFields(), and operator()().

The documentation for this struct was generated from the following file:

- export/FieldGroup.h